## gnome-software 48.1

=== debian/changelog ===
gnome-software (48.1-1) unstable; urgency=medium

  * New upstream bugfix release (LP: #2106772)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 10 Apr 2025 14:52:21 -0400
