=== debian/control ===
Source: gnome-software
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Amin Bandali <bandali@ubuntu.com>,
           Gunnar Hjalmarsson <gunnarhj@debian.org>,
           Jeremy Bícha <jbicha@ubuntu.com>,
           Laurent Bigonville <bigon@debian.org>,
           Matthias Klumpp <mak@debian.org>
Build-Depends: appstream,
               debhelper-compat (= 13),
               dh-sequence-gnome,
               docbook-xsl,
               gsettings-desktop-schemas-dev (>= 3.18),
               gtk-doc-tools,
               itstool,
               libadwaita-1-dev (>= 1.6.0),
               libappstream-dev (>= 1.0.0),
               libflatpak-dev (>= 1.14.1) [amd64 arm64 armel armhf i386 loong64 mipsel mips64el ppc64el s390x hppa powerpc ppc64 riscv64 x32],
               libfwupd-dev (>= 1.5.6) [linux-any],
               libglib-testing-0-dev,
               libglib2.0-dev (>= 2.76.0),
               libgtk-4-dev (>= 4.16.0),
               libgudev-1.0-dev [linux-any],
               libjson-glib-dev (>= 1.6.0),
               libmalcontent-0-dev [amd64 arm64 armel armhf i386 loong64 mipsel mips64el ppc64el s390x hppa powerpc ppc64 riscv64 x32],
               libostree-dev (>= 2022.5-2~) [linux-any],
               libpackagekit-glib2-dev (>= 1.2.5),
               libpolkit-gobject-1-dev,
               libsnapd-glib-dev (>= 1.64) [amd64 arm64 armel armhf i386 ppc64el s390x],
               libsoup-3.0-dev,
               libsysprof-capture-4-dev (>= 3.38.0) [amd64 arm64 armel armhf i386 loong64 mips64el ppc64el riscv64 s390x powerpc ppc64],
               libxml2-utils,
               libxmlb-dev (>= 0.3.4),
               meson (>= 0.55.0),
               pkgconf,
               polkitd,
               xsltproc
Build-Depends-Indep: libgdk-pixbuf2.0-doc <!nodoc>,
                     libglib2.0-doc <!nodoc>,
                     libgtk-3-doc <!nodoc>,
                     libjson-glib-doc <!nodoc>,
                     libsoup-3.0-doc <!nodoc>,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-software
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-software.git
Homepage: https://apps.gnome.org/Software/
X-Ubuntu-Use-Langpack: yes

Package: gnome-software
Architecture: any
Depends: gnome-software-plugin-deb (= ${binary:Version}) | gnome-software-plugin (= ${binary:Version}),
         gnome-software-common (= ${source:Version}),
         gsettings-desktop-schemas (>= 3.18),
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: sessioninstaller
Recommends: ${plugin:Recommends}
Suggests: gnome-software-plugin-deb,
          gnome-software-plugin-flatpak [amd64 arm64 armel armhf i386 loong64 mipsel mips64el ppc64el s390x hppa powerpc ppc64 riscv64 x32],
          gnome-software-plugin-snap [amd64 arm64 armel armhf i386 ppc64el s390x]
Description: Software Center for GNOME
 Software lets you install and update applications and system extensions.
 .
 Software uses a plugin architecture to separate the frontend from the
 technologies that are used underneath. Currently, a PackageKit plugin provides
 data from a number of traditional packaging systems, such as rpm or apt. An
 appdata plugin provides additional metadata from locally installed data in the
 appdata format.

Package: gnome-software-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Software Center for GNOME (common files)
 Software lets you install and update applications and system extensions.
 .
 Software uses a plugin architecture to separate the frontend from the
 technologies that are used underneath. Currently, a PackageKit plugin provides
 data from a number of traditional packaging systems, such as rpm or apt. An
 appdata plugin provides additional metadata from locally installed data in the
 appdata format.
 .
 This package contains the architecture-independent files.

Package: gnome-software-plugin-deb
Architecture: any
Depends: appstream,
         apt-config-icons,
         gnome-software (= ${binary:Version}),
         libgtk3-perl,
         packagekit (>= 1.2.5),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: apt-config-icons-hidpi
Provides: gnome-software-plugin (= ${binary:Version})
Breaks: gnome-software (<< 46.0-2~)
Replaces: gnome-software (<< 46.0-2~)
Description: .deb support for GNOME Software
 Software lets you install and update applications and system extensions.
 .
 Software uses a plugin architecture to separate the frontend from the
 technologies that are used underneath. Currently, a PackageKit plugin provides
 data from a number of traditional packaging systems, such as rpm or apt. An
 appdata plugin provides additional metadata from locally installed data in the
 appdata format.
 .
 This package contains the AppStream and PackageKit plugins necessary for
 managing .deb packages with apt.

Package: gnome-software-plugin-flatpak
Architecture: amd64 arm64 armel armhf hppa i386 loong64 mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x x32
Depends: flatpak (>= 1.14.1),
         gnome-software (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Provides: gnome-software-plugin (= ${binary:Version})
Breaks: gnome-software (<< 46.0-2~)
Replaces: gnome-software (<< 46.0-2~)
Description: Flatpak support for GNOME Software
 Software lets you install and update applications and system extensions.
 .
 Software uses a plugin architecture to separate the frontend from the
 technologies that are used underneath. Currently, a PackageKit plugin provides
 data from a number of traditional packaging systems, such as rpm or apt. An
 appdata plugin provides additional metadata from locally installed data in the
 appdata format.
 .
 This package contains the Flatpak plugin.

Package: gnome-software-plugin-fwupd
Architecture: linux-any
Depends: fwupd,
         gnome-software (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: gnome-software (<< 46.0-2~)
Replaces: gnome-software (<< 46.0-2~)
Description: Firmware updater support for GNOME Software
 Software lets you install and update applications and system extensions.
 .
 Software uses a plugin architecture to separate the frontend from the
 technologies that are used underneath. Currently, a PackageKit plugin provides
 data from a number of traditional packaging systems, such as rpm or apt. An
 appdata plugin provides additional metadata from locally installed data in the
 appdata format.
 .
 This package contains the fwupd plugin to update firmware.

Package: gnome-software-plugin-snap
Architecture: amd64 arm64 armel armhf i386 ppc64el s390x
Depends: gnome-software (= ${binary:Version}),
         snapd [amd64 arm64 armel armhf i386 ppc64el],
         ${misc:Depends},
         ${shlibs:Depends}
Provides: gnome-software-plugin (= ${binary:Version})
Recommends: snapd [s390x]
Breaks: gnome-software (<< 46.0-2~)
Replaces: gnome-software (<< 46.0-2~)
Description: Snap support for GNOME Software
 Software lets you install and update applications and system extensions.
 .
 Software uses a plugin architecture to separate the frontend from the
 technologies that are used underneath. Currently, a PackageKit plugin provides
 data from a number of traditional packaging systems, such as rpm or apt. An
 appdata plugin provides additional metadata from locally installed data in the
 appdata format.
 .
 This package contains the Snap plugin.

Package: gnome-software-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libappstream-dev (>= 0.14.0),
         libglib2.0-dev (>= 2.76.0),
         libgtk-4-dev (>= 4.13.4),
         libjson-glib-dev (>= 1.6.0),
         libpolkit-gobject-1-dev,
         libsoup-3.0-dev,
         libsysprof-capture-4-dev (>= 3.38.0) [amd64 arm64 armel armhf i386 loong64 mips64el ppc64el riscv64 s390x powerpc ppc64],
         libxmlb-dev (>= 0.3.4),
         ${misc:Depends}
Suggests: gnome-software-doc
Description: Software Center for GNOME - development files
 Software lets you install and update applications and system extensions.
 .
 This package contains headers and other files required when compiling external
 plugins for use with Software.

Package: gnome-software-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Build-Profiles: <!nodoc>
Description: Software Center for GNOME - documentation
 Software lets you install and update applications and system extensions.
 .
 This package contains documentation for use when developing plugins for
 Software.
