## gnome-software 48.2

=== debian/changelog ===
gnome-software (48.2-1) unstable; urgency=medium

  * New upstream bugfix release
    - Improve memory fragmentation after checking for updates

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 06 Jun 2025 15:47:49 -0400
