## gnome-software 48.3

=== debian/changelog ===
gnome-software (48.3-2progress8u1) horok; urgency=medium

  * Initial upload to horok.
  * Updating maintainer field.
  * Updating uploaders field.
  * Updating bugs field.
  * Updating vcs fields.
  * Making org.gnome.software gsettings overrides derivatives friendlier.
  * Updating org.gnome.software gsettings overrides for Progress Linux.
  * Overriding first-run to false in org.gnome.software.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 17 Jul 2025 16:33:44 +0200

gnome-software (48.3-2) unstable; urgency=medium

  * Team upload
  * d/patches: Update from upstream gnome-48 branch, up to commit
    48.3-6-g10fb1a6bb
    - d/p/update-monitor-improve-logic-for-deciding-when-to-show-no.patch:
      Reduce frequency of update notifications
      (gnome-software#2856 upstream)
      + Don't notify users about out-of-date apt metadata until it's at
        least 7 days old.
      + Don't nag users about software update actions more than once per
        day, with the frequency reducing according to the importance of
        the action we are suggesting.
      + Don't notify users about out-of-date apt metadata if we would not
        be able to download it right now in any case. In particular this
        prevents an annoying notification when resuming from suspend,
        during which time we can expect that networking has not yet come
        back up.
    - d/p/gs-update-monitor-Do-not-show-Updates-are-Out-of-Date-whe.patch:
      Don't notify users about out-of-date apt metadata if updates are
      being prevented by configuration
      (gnome-software#2815 upstream)
    - Translation updates
  * d/rules: Don't display the sample list of "Editor's Choice" apps.
    Upstream no longer recommends using this list and does not maintain
    it, and we don't want to keep recommending apps that are dead upstream
    such as gnome-dictionary and gnome-photos. Ideally we should provide
    our own curated list for forky, but until we can do that, a minimal
    fix is to not display it. (Helps: #1100084)

 -- Simon McVittie <smcv@debian.org>  Thu, 17 Jul 2025 13:08:06 +0100

gnome-software (48.3-1) unstable; urgency=medium

  * Team upload
  * New upstream bugfix release
    - Fix a crash on exit while a "toast" notification is shown
      (gnome-software#2853 upstream)
    - Explicitly disconnect signal handlers on dispose, to guard against
      possible use-after-free crashes during exit
      (related to gnome-software#2853 upstream)
    - Translation updates
  * d/control: Remove Gunnar Hjalmarsson from Uploaders (Closes: #1069562)

 -- Simon McVittie <smcv@debian.org>  Mon, 14 Jul 2025 18:02:25 +0100
