=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: gnome-software
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Amin Bandali <bandali@ubuntu.com>,
-           Gunnar Hjalmarsson <gunnarhj@debian.org>,
+Maintainer: Progress Linux Maintainers <maintainers@lists.progress-linux.org>
+XSBC-Uploaders: Daniel Baumann <daniel.baumann@progress-linux.org>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+XSBC-Original-Uploaders: Amin Bandali <bandali@ubuntu.com>,
            Jeremy Bícha <jbicha@ubuntu.com>,
            Laurent Bigonville <bigon@debian.org>,
            Matthias Klumpp <mak@debian.org>
+Bugs: mailto:maintainers@lists.progress-linux.org
 Build-Depends: appstream,
                debhelper-compat (= 13),
                dh-sequence-gnome,
@@ -43,8 +45,10 @@
                      libsoup-3.0-doc <!nodoc>,
 Rules-Requires-Root: no
 Standards-Version: 4.7.0
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-software
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-software.git
+Vcs-Browser: https://git.progress-linux.org/horok/gnome-software
+Vcs-Git: https://git.progress-linux.org/horok/gnome-software
+XSBC-Original-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-software
+XSBC-Original-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-software.git
 Homepage: https://apps.gnome.org/Software/
 X-Ubuntu-Use-Langpack: yes
