=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

# Fix the Flatpak plugin: https://launchpad.net/bugs/1650783
export DEB_LDFLAGS_MAINT_STRIP := -Wl,-Bsymbolic-functions

GS_CONFIGURE_FLAGS = \
	-Dauto_features=enabled \
	-Dpackagekit=true \
	-Dpackagekit_autoremove=true \
	-Drpm_ostree=false \
	-Dapt=true \
	-Ddefault_featured_apps=true

# these are conditionally re-enabled later
GS_CONFIGURE_FLAGS += \
	-Dfwupd=false \
	-Dflatpak=false \
	-Dgudev=false \
	-Dmalcontent=false

ifeq ($(filter amd64 arm64 armel armhf i386 mips64el ppc64el loong64 riscv64 s390x powerpc ppc64,$(DEB_HOST_ARCH)),)
GS_CONFIGURE_FLAGS += -Dsysprof=disabled
endif

ifeq ($(DEB_HOST_ARCH_OS), linux)
	# Enable Flatpak support on supported architectures
	ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armel armhf i386 loong64 mipsel mips64el ppc64el s390x hppa powerpc ppc64 riscv64 x32))
		GS_CONFIGURE_FLAGS += -Dflatpak=true -Dmalcontent=true
	endif

	# Enable GUdev support on Linux
	GS_CONFIGURE_FLAGS += -Dgudev=true
	
	# Enable fwupd support on Linux
	GS_CONFIGURE_FLAGS += -Dfwupd=true

	# Enable snap support on supported architectures
	ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armel armhf i386 ppc64el s390x))
		GS_CONFIGURE_FLAGS += -Dsnap=true
	endif
endif

DISTRO_ID = debian
OFFICIAL_REPOS = \'debian-*\', \'progress_linux-*\'
FREE_REPOS = \'debian-*-main\', \'progress_linux-*-main\'
FREE_URL = https:\/\/www.debian.org\/social_contract\#guidelines
ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
	DISTRO_ID = ubuntu
	FREE_REPOS = \'@DISTRO@-*-main\', \'@DISTRO@-*-universe\'
	FREE_URL = https:\/\/www.ubuntu.com\/about\/about-ubuntu\/licensing
else ifeq (yes,$(shell dpkg-vendor --derives-from Tanglu && echo yes))
	DISTRO_ID = tanglu
else ifeq (yes,$(shell dpkg-vendor --derives-from PureOS && echo yes))
	DISTRO_ID = pureos
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(GS_CONFIGURE_FLAGS)

override_dh_installgsettings:
	sed -e "s#@OFFICIAL_REPOS@#$(OFFICIAL_REPOS)#g" -e "s#@FREE_REPOS@#$(FREE_REPOS)#g" debian/gnome-software.gsettings-override.in > debian/gnome-software.gsettings-override
	sed -i "s/@DISTRO@/$(DISTRO_ID)/g" debian/gnome-software.gsettings-override
	sed -i "s/@URL@/$(FREE_URL)/g" debian/gnome-software.gsettings-override
	dh_installgsettings

execute_after_dh_missing:
	# Not useful for Debian
	rm -f debian/gnome-software/usr/lib/*/gnome-software/plugins-*/libgs_plugin_fedora*
	# These files are split out to separate packages
	rm -f debian/gnome-software/usr/lib/*/gnome-software/plugins-*/libgs_plugin_appstream*
	rm -f debian/gnome-software/usr/lib/*/gnome-software/plugins-*/libgs_plugin_flatpak*
	rm -f debian/gnome-software/usr/lib/*/gnome-software/plugins-*/libgs_plugin_fwupd*
	rm -f debian/gnome-software/usr/lib/*/gnome-software/plugins-*/libgs_plugin_packagekit*
	rm -f debian/gnome-software/usr/lib/*/gnome-software/plugins-*/libgs_plugin_snap*
	rm -f debian/gnome-software/usr/share/metainfo/org.gnome.Software.Plugin.Flatpak.metainfo.xml
	rm -f debian/gnome-software/usr/share/metainfo/org.gnome.Software.Plugin.Snap.metainfo.xml
	rm -f debian/gnome-software/usr/share/applications/gnome-software-local-file-fwupd.desktop
# Ubuntu doesn't need the autostart file
ifeq ($(shell dpkg-vendor --query vendor),Ubuntu)
	rm -rf debian/gnome-software/etc/xdg/autostart
endif

override_dh_makeshlibs:
	dh_makeshlibs -Xlibgs_plugin

override_dh_shlibdeps:
	dh_shlibdeps -l/usr/lib/$(DEB_HOST_MULTIARCH)/gnome-software/

# DISABLED
override_dh_auto_test:

# Ubuntu doesn't need the fwupd plugin
override_dh_gencontrol:
ifeq ($(shell dpkg-vendor --query vendor),Ubuntu)
	dh_gencontrol -- -Vplugin:Recommends='gnome-software-plugin-deb'
else
	dh_gencontrol -- -Vplugin:Recommends='gnome-software-plugin-fwupd [linux-any], gnome-software-plugin-deb'
endif

execute_before_dh_clean:
	rm -f debian/gnome-software.gsettings-override

override_dh_gnome_clean:
