## gnome-software 48.4

=== debian/changelog ===
gnome-software (48.4-1) unstable; urgency=medium

  * New upstream bugfix release
    - These changes were already included in 48.3-2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 12 Aug 2025 19:04:27 -0400
