=== debian/rules ===
--- 
+++ 
@@ -44,8 +44,7 @@
 endif
 
 DISTRO_ID = debian
-OFFICIAL_REPOS = \'debian-*\', \'progress_linux-*\'
-FREE_REPOS = \'debian-*-main\', \'progress_linux-*-main\'
+FREE_REPOS = \'@DISTRO@-*-main\'
 FREE_URL = https:\/\/www.debian.org\/social_contract\#guidelines
 ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
 	DISTRO_ID = ubuntu
@@ -64,7 +63,7 @@
 	dh_auto_configure -- $(GS_CONFIGURE_FLAGS)
 
 override_dh_installgsettings:
-	sed -e "s#@OFFICIAL_REPOS@#$(OFFICIAL_REPOS)#g" -e "s#@FREE_REPOS@#$(FREE_REPOS)#g" debian/gnome-software.gsettings-override.in > debian/gnome-software.gsettings-override
+	sed "s#@FREE_REPOS@#$(FREE_REPOS)#g" debian/gnome-software.gsettings-override.in > debian/gnome-software.gsettings-override
 	sed -i "s/@DISTRO@/$(DISTRO_ID)/g" debian/gnome-software.gsettings-override
 	sed -i "s/@URL@/$(FREE_URL)/g" debian/gnome-software.gsettings-override
 	dh_installgsettings
