## gnome-software 49~rc

=== debian/changelog ===
gnome-software (49~rc-1) unstable; urgency=medium

  * New upstream release
  * debian/gnome-software.install: install systemd user units instead of
    autostart files
  * Bump Standards Version to 4.7.2
  * Remove obsolete Rules-Requires-Root: no field

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 05 Sep 2025 17:17:16 -0400
