=== debian/control ===
--- 
+++ 
@@ -40,8 +40,7 @@
                      libgtk-3-doc <!nodoc>,
                      libjson-glib-doc <!nodoc>,
                      libsoup-3.0-doc <!nodoc>,
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-software
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-software.git
 Homepage: https://apps.gnome.org/Software/
