## gnome-software 49.0

=== debian/changelog ===
gnome-software (49.0-1) unstable; urgency=medium

  * New upstream release
  * Stop using dh-sequence-gnome

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 12 Sep 2025 06:33:45 -0400
