## gnome-software 49.1

=== meson_options.txt ===
option('tests', type : 'boolean', value : true, description : 'enable tests')
option('installed_tests', type : 'boolean', value : false, description : 'enable installed tests')
option('man', type : 'boolean', value : true, description : 'enable man pages')
option('packagekit', type : 'boolean', value : true, description : 'enable PackageKit support')
option('packagekit_autoremove', type : 'boolean', value : false, description : 'autoremove packages in PackageKit')
option('polkit', type : 'boolean', value : true, description : 'enable PolKit support')
option('eos_updater', type : 'boolean', value : false, description : 'enable eos-updater support')
option('fwupd', type : 'boolean', value : true, description : 'enable fwupd support')
option('flatpak', type : 'boolean', value : true, description : 'enable Flatpak support')
option('malcontent', type : 'boolean', value : true, description : 'enable parental controls support using libmalcontent')
option('rpm_ostree', type : 'boolean', value : false, description : 'enable rpm-ostree support')
option('webapps', type : 'boolean', value : true, description : 'enable webapps support')
option('hardcoded_foss_webapps', type : 'boolean', value : true, description : 'enable inclusion of a default set of installable FOSS webapps')
option('hardcoded_proprietary_webapps', type : 'boolean', value : true, description : 'enable inclusion of a default set of installable proprietary webapps')
option('gudev', type : 'boolean', value : true, description : 'enable GUdev support')
option('apt', type : 'boolean', value : false, description : 'enable apt: URL handler in the .desktop file')
option('snap', type : 'boolean', value : false, description : 'enable Snap support')
option('external_appstream', type : 'boolean', value : false, description : 'enable external AppStream support')
option('gtk_doc', type : 'boolean', value : true, description : 'enable API reference')
option('hardcoded_curated', type : 'boolean', value : false, description : 'enable installation of default curated apps list (for testing purpose only)')
option('default_featured_apps', type : 'boolean', value : false, description : 'enable installation of default featured apps list (for testing purpose only)')
option('mogwai', type : 'boolean', value : false, description : 'enable metered data support using Mogwai')
option('sysprof', type : 'feature', value : 'auto', description : 'enable sysprof-capture support for profiling')
option('profile', type : 'string', value : '', description : 'Build with specified application ID')
option('opensuse-distro-upgrade', type : 'boolean', value : false, description : 'enable opensuse-distro-upgrade support')
option('dkms', type : 'boolean', value : false, description : 'enable DKMS plugin to help installing DKMS (and akmods) Secure Boot certificates to UEFI MOK')
# FIXME Switch the systemd-sysupdate option to true by default once
# systemd-sysupdate and Software's matching plugin are deemed mature enough.
option('systemd-sysupdate', type : 'boolean', value : false, description : 'enable systemd-sysupdate support')
