=== debian/changelog ===
gnome-software (49.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 15 Oct 2025 08:08:01 -0400
