=== debian/control ===
--- 
+++ 
@@ -8,7 +8,6 @@
            Matthias Klumpp <mak@debian.org>
 Build-Depends: appstream,
                debhelper-compat (= 13),
-               dh-sequence-gnome,
                docbook-xsl,
                gsettings-desktop-schemas-dev (>= 3.18),
                gtk-doc-tools,
@@ -44,7 +43,6 @@
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-software
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-software.git
 Homepage: https://apps.gnome.org/Software/
-X-Ubuntu-Use-Langpack: yes
 
 Package: gnome-software
 Architecture: any
