## gnome-software 49.2

=== debian/changelog ===
gnome-software (49.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 23 Nov 2025 13:12:31 -0500
