=== debian/control ===
--- 
+++ 
@@ -1,9 +1,7 @@
 Source: gnome-software
 Section: gnome
-Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Amin Bandali <bandali@ubuntu.com>,
-           Jeremy Bícha <jbicha@ubuntu.com>,
+Uploaders: Jeremy Bícha <jbicha@ubuntu.com>,
            Laurent Bigonville <bigon@debian.org>,
            Matthias Klumpp <mak@debian.org>
 Build-Depends: appstream,
@@ -39,7 +37,7 @@
                      libgtk-3-doc <!nodoc>,
                      libjson-glib-doc <!nodoc>,
                      libsoup-3.0-doc <!nodoc>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-software
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-software.git
 Homepage: https://apps.gnome.org/Software/
