=== debian/control ===
--- 
+++ 
@@ -10,13 +10,13 @@
                gsettings-desktop-schemas-dev (>= 3.18),
                gtk-doc-tools,
                itstool,
-               libadwaita-1-dev (>= 1.6.0),
+               libadwaita-1-dev (>= 1.8~alpha),
                libappstream-dev (>= 1.0.0),
                libflatpak-dev (>= 1.14.1) [amd64 arm64 armel armhf i386 loong64 mipsel mips64el ppc64el s390x hppa powerpc ppc64 riscv64 x32],
                libfwupd-dev (>= 1.5.6) [linux-any],
                libglib-testing-0-dev,
                libglib2.0-dev (>= 2.76.0),
-               libgtk-4-dev (>= 4.16.0),
+               libgtk-4-dev (>= 4.17.5),
                libgudev-1.0-dev [linux-any],
                libjson-glib-dev (>= 1.6.0),
                libmalcontent-0-dev [amd64 arm64 armel armhf i386 loong64 mipsel mips64el ppc64el s390x hppa powerpc ppc64 riscv64 x32],
